// Dlg_WindowRoofOpenings.cpp : implementation file
//

#include "stdafx.h"
#include "SAPP1.h"
#include "SAPP1Dlg.h"
#include "Dlg_WindowRoofOpenings.h"


// CDlg_WindowRoofOpenings dialog

IMPLEMENT_DYNAMIC(CDlg_WindowRoofOpenings, CDialog)
CDlg_WindowRoofOpenings::CDlg_WindowRoofOpenings(CWnd* pParent /*=NULL*/)
	: CDialog(CDlg_WindowRoofOpenings::IDD, pParent)
{
}

CDlg_WindowRoofOpenings::~CDlg_WindowRoofOpenings()
{
}

void CDlg_WindowRoofOpenings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST1, m_listWinRoofOpenings);
}


BEGIN_MESSAGE_MAP(CDlg_WindowRoofOpenings, CDialog)
END_MESSAGE_MAP()


// CDlg_WindowRoofOpenings message handlers
BOOL CDlg_WindowRoofOpenings::OnInitDialog()
{
	CDialog::OnInitDialog();

	CString temp;

	unsigned int i = 0;
	int index = 0;

	m_listWinRoofOpenings.InsertColumn(0, "Openings", LVCFMT_CENTER, 180);

	for(i= 0; i<openingsData_New.size();i++)
	{
		if(openingsData_New[i].parentSurface == WallRoofOpeningName)
		{
			temp = openingsData_New[i].openingName;
			m_listWinRoofOpenings.InsertItem(index, openingsData_New[i].openingName);
			index++;
		}
	}
	return TRUE;
}